Skip to main content
GET
/
inventory
/
transactions
List inventory movement history
curl --request GET \
  --url https://api.arcuserp.com/v1/inventory/transactions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.arcuserp.com/v1/inventory/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.arcuserp.com/v1/inventory/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quantity": 123,
      "before_on_hand": 123,
      "after_on_hand": 123,
      "unit_price": 123,
      "total_price": 123,
      "status": "<string>",
      "order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "journal_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product_title": "<string>",
      "location_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123,
  "total_pages": 123
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}

Authorizations

Authorization
string
header
required

API key issued per entity via Settings > Developers > API Keys. Each key carries scopes (e.g. orders:read, products:write). Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.

Query Parameters

product_id
string<uuid>
location_id
string<uuid>
type
enum<string>
Available options:
receiving,
order_reservation,
partial_reservation,
return_received,
transfer_in,
adjustment,
audit_count,
quarantine,
release_quarantine,
sale,
order_cancelled,
purchase_cancelled,
rma,
transfer_out,
warehouse_loss,
build_assembly,
freeze,
return_receive,
restock,
writeoff,
cross_transfer_out,
cross_transfer_in,
vendor_return_out,
vendor_replacement_in,
fba_inbound,
fba_return,
order_reservation_release,
fulfillment_consumption,
build_consume,
build_produce,
build_return,
build_scrap
date_after
string<date>
date_before
string<date>
page
integer
default:1
Required range: x >= 1
per_page
integer
default:25
Required range: 1 <= x <= 100

Response

List of inventory transactions

object
enum<string>
Available options:
list
data
object[]
total
integer
page
integer
per_page
integer
total_pages
integer